GXS Internal
GXSIOAPI referenceV2

Location aliases

GET
/v2/product-views/{productViewId}/locations/{locationId}/aliases

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Path Parameters

productViewId*number

Id de la vista de producto

locationId*number

Supplier location id (the supplierLocationid of GetMappedSupplierLocationsForProduct)

Response Body

application/json
  1. response
data*array<>
curl -X GET 'https://dev.api.graphxserver.io/api/v2/product-views/251872/locations/25508/aliases'
{  "data": [    {      "id": 10,      "name": "Centered on Front",      "isDefault": false    }  ]}
POST
/v2/product-views/{productViewId}/locations/{locationId}/aliases

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Path Parameters

productViewId*number

Id de la vista de producto

locationId*number

Supplier location id (the supplierLocationid of GetMappedSupplierLocationsForProduct)

Request Body

application/json
  1. body
name*string
Lengthlength <= 255
isDefault?boolean
Defaultfalse

Response Body

application/json
  1. response
id*number
name*string
isDefault*boolean
curl -X POST 'https://dev.api.graphxserver.io/api/v2/product-views/251872/locations/25508/aliases' \  -H 'Content-Type: application/json' \  -d '{  "name": "Centered on Front"}'
{  "id": 10,  "name": "Centered on Front",  "isDefault": false}
PATCH
/v2/location-aliases/{id}

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Path Parameters

id*number

Request Body

application/json
  1. body
name?string
Lengthlength <= 255
isDefault?boolean

Response Body

application/json
  1. response
id*number
name*string
isDefault*boolean
curl -X PATCH 'https://dev.api.graphxserver.io/api/v2/location-aliases/10' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": 10,  "name": "Centered on Front",  "isDefault": false}

Borra un alias

DELETE
/v2/location-aliases/{id}

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Path Parameters

id*number

Response Body

curl -X DELETE 'https://dev.api.graphxserver.io/api/v2/location-aliases/10'
Empty
PATCH
/v2/location-aliases

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Request Body

application/json
  1. body
aliases*array<>

Response Body

application/json
  1. response
data*array<>
curl -X PATCH 'https://dev.api.graphxserver.io/api/v2/location-aliases' \  -H 'Content-Type: application/json' \  -d '{  "aliases": [    {      "id": 10    }  ]}'
{  "data": [    {      "id": 10,      "name": "Centered on Front",      "isDefault": false    }  ]}